ATI X1300 compiz-fusion

Asked by Shester on 2007-10-18

I've tried for months now and with different distros and their respective forums.
Somebody out there has this ATI X1300 card running compiz-fusion, it's on Youtube
(desktop Intel core 2 duo 6300 Running Ubuntu 7.10 Final
Intel MoBo 2Gb RAM ATI X1300 Pro)
Most of the threads I followed say it's a hopeless cause

I have the restricted driver enabled and compiz manager installed
When I check off Extra, Normal or Custom, I get the same message
"The Composite extension is not available"

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu compiz Edit question
Assignee:
No assignee Edit question
Solved by:
peter b
Solved:
2007-10-20
Last query:
2007-10-20
Last reply:
2007-10-19
Gord Allott (gordallott) said : #1

ati's current drivers do not support AIGLX at all (the method used by ubuntu and others to get compiz working), the new ati drivers are supposidly coming out soonish (in a few days) and will apear as an update to you, they should support aiglx. so really its just a waiting game. writing to ATI to complain about their bad drivers is the only real way forward to get support for this kind of stuff as its closed source so there is nothing we can do.

Best peter b (b1pete) said : #2

Hello,

It works for me -same video adapter- with fglrx installed with alberto milone's envy util. Don't forget, if fglrx driver used, XGL is a must to get compiz-fusion up. I don't use the restricted driver provided -for some reason I couldn't get it running. Another v important thing, if fglrx was installed previously and the install was unsuccessful for one reason or another, the previous driver MUST be uninstalled before another attempt. Hope this helps.

peter b

Shester (voidonce) said : #3

--- peter b <email address hidden>
wrote:

> Your question #15398 on Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+question/15398
>
> peter b proposed the following answer:
> Hello,
>
> It works for me -same video adapter- with fglrx
> installed with alberto
> milone's envy util. Don't forget, if fglrx driver
> used, XGL is a must to
> get compiz-fusion up. I don't use the restricted
> driver provided -for
> some reason I couldn't get it running. Another v
> important thing, if
> fglrx was installed previously and the install was
> unsuccessful for one
> reason or another, the previous driver MUST be
> uninstalled before
> another attempt. Hope this helps.

The WOW is you, peter b,(not) Vista
I can't express in words how I feel about your quick
response.

alberto milone's envy util allows the installation of
the latest restricted driver from what I understand.
I was able to install that driver in Gutsy Gibbon RC
but to no avail. Someone else has responded telling me
that a new driver was only days away.
I will try your suggestion re "envy" and will let you
know.

Thank you

      ____________________________________________________
Yahoo! Canada Toolbar: Search from anywhere on the web, and bookmark your favourite sites. Download it now at
http://ca.toolbar.yahoo.com.

Shester (voidonce) said : #4

--- Gord Allott <email address hidden>
wrote:

> Your question #15398 on Ubuntu changed:
>
https://answers.edge.launchpad.net/ubuntu/+question/15398
>
> Status: Open => Answered
>
> Gord Allott proposed the following answer:
> ati's current drivers do not support AIGLX at all
> (the method used by
> ubuntu and others to get compiz working), the new
> ati drivers are
> supposidly coming out soonish (in a few days) and
> will apear as an
> update to you, they should support aiglx. so really
> its just a waiting
> game. writing to ATI to complain about their bad
> drivers is the only
> real way forward to get support for this kind of
> stuff as its closed
> source so there is nothing we can do.

Thank you so much for your response, I really
appreciate it.

I've waited so long for Gibbon that a few more days
for ATI won't hurt.

Meanwhile someone has suggested "alberto milone's
envy"
to install the proper driver. So, while I wait, I will
try that.

Again thank you

      Be smarter than spam. See how smart SpamGuard is at giving junk email the boot with the All-new Yahoo! Mail at http://mrd.mail.yahoo.com/try_beta?.intl=ca

Shester (voidonce) said : #5

-- Gord Allott <email address hidden>
wrote:

> Your question #15398 on Ubuntu changed:
>
https://answers.edge.launchpad.net/ubuntu/+question/15398
>
-
> Status: Open => Answered
>
> Gord Allott proposed the following answer:
> ati's current drivers do not support AIGLX at all
> (the method used by
> ubuntu and others to get compiz working), the new
> ati drivers are
> supposidly coming out soonish (in a few days) and
> will apear as an
> update to you, they should support aiglx. so really
> its just a waiting
> game. writing to ATI to complain about their bad
> drivers is the only
> real way forward to get support for this kind of
> stuff as its closed
> source so there is nothing we can do.

Thank you so much for your response, I really
appreciate it.

I've waited so long for Gibbon that a few more days
for ATI won't hurt.

Meanwhile someone has suggested "alberto milone's
envy"
to install the proper driver. So, while I wait, I will
try that.

Again thank you

      ____________________________________________________
Yahoo! Canada Toolbar: Search from anywhere on the web, and bookmark your favourite sites. Download it now at
http://ca.toolbar.yahoo.com.

Shester (voidonce) said : #6

alberto milone's envy util uninstalled ATI and reinstalled 8.40 (previously the repository has 8.38 and ATI's latest is 8.41)
Only 8.40 is working for me now (but only with XGL) by clearing out the default installs of the drivers.

These two threads helped me in the process

Ati card on gutsy: "The composite extension is not available"
http://ubuntuforums.org/showthread.php?t=576624

Enable compiz-fusion in Ubuntu Feisty
http://kevin.vanzonneveld.net/techblog/article/enable_compizfusion_in_ubuntu_feisty/

The only other thing I had to do was install compizconfig settings manager through Synaptic to be able to tweak (play around) it.
It's not smooth (XGL), but with 8.42 around the corner, AIGLX here I come.

Thank you and I hope this helps someone else